# Coin Details

> 🚧 **Coming Soon** - This endpoint is not yet live.

> 🔑 **Authentication required.** See [API Key](/apis/api-key.md) for setup and rate limits.

## `GET` /services/v2/coin-details

Returns detailed information for a specific coin by its contract address (mint).

```
GET https://api.anoncoin.it/services/v2/coin-details
```

***

## Query Parameters

| Parameter | Type   | Required | Description                         |
| --------- | ------ | -------- | ----------------------------------- |
| `ca`      | string | ✅        | Contract address (mint) of the coin |

***

## Example Request

```bash
curl --location 'https://api.anoncoin.it/services/v2/coin-details?ca=D25bi7oHQjqkVrzbfuM6k2gzVNHTSpBLhtakDCzCCDUB' \
  --header 'x-api-key: YOUR_API_KEY'
```

***

## Response

Returns a single coin object with full details.

```json
{
    "creator": {
        "userName": "38BUNW",
        "profileImageUrl": "https://cdn.anoncoin.it/.../profile-image.png",
        "twitterFollowersBucket": "10k+"
    },
    "tickerName": "Anoncoin",
    "tickerSymbol": "ANONCOIN",
    "bannerImageUrl": "https://cdn.anoncoin.it/.../user-uploaded.jpeg",
    "tickerMetadataUrl": "https://cdn-aibackrooms.s3.amazonaws.com/ANONCOIN/token-metadata.json",
    "tickerImageUrl": "https://cdn.anoncoin.it/ANONCOIN/image.png",
    "lore": "The Doge launchpad. Create a coin anonymously. One ticker per coin.",
    "mint": "D25bi7oHQjqkVrzbfuM6k2gzVNHTSpBLhtakDCzCCDUB",
    "totalCreatorFeeEarnedUsd": 2220.49,
    "totalCreatorFeeEarnedSol": 2220.49,
    "graduationPercentage": 76,
    "priceUsd": "0.000024749985123278893798",
    "priceSol": "0.000024749985123278893798",
    "marketCapUsd": "$2,016,080",
    "marketCapSol": "24118.676832995682153",
    "priceChange24Hrs": "27.36%",
    "volume24HrsUsd": "22090.371827754578",
    "volume24HrsSol": "220",
    "totalSupply": "1000000000",
    "circSupply": "974492579.3552117",
    "liquidityUsd": "$57,102",
    "liquiditySol": "590",
    "holders": "2597",
    "isMigrated": true,
    "marketCapATHUsd": "$22,451,660",
    "marketCapATHSol": "$22,451,660",
    "devWalletAddress": "EPBmgCVSiX6oWGym5TfmpkDsEHPgnhsD6Vk2ek38BUNW",
    "metaData": {
        "twitterLink": "https://x.com/anoncoinit",
        "isTwitterVerified": true,
        "telegramLink": "https://t.me/AnoncoinIt",
        "taggedUserProfiles": [
            {
                "profileURL": "https://x.com/nikitabier",
                "userName": "nikitabier",
                "name": "Nikita Bier"
            }
        ]
    },
    "createdOn": "2025-06-19T19:38:40.116Z",
    "devPosts": [
        {
            "title": "hey",
            "description": "desc",
            "createdOn": "2025-06-19T19:38:40.116Z"
        }
    ],
    "ctoElection": {
        "isActive": false,
        "endedOn": "2025-06-19T19:38:40.116Z",
        "ctoLeadProfile": {
            "twitterUserName": "DogeFatherAnon",
            "twitterName": "The DogeFather"
        }
    }
}
```

***

## Response Fields

The response fields are identical to those in the [Coins API](/apis/coins-api.md#response-fields). Refer to that page for the full field reference.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.anoncoin.it/apis/coin-details-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
